Subject: bug#28393: closed (Re: bug#28393: Sound output broken in Audacity)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 14 Sep 2017 20:22:02 +0000

Your bug report

#28393: Sound output broken in Audacity

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28393: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28393
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28393: Sound output broken in Audacity
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Thu, 14 Sep 2017 16:20:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm closing this bug, since no one else has reported anything similar,
and it was easily fixed by configuration.

Thanks to everyone who responded with their ideas.

      Mark

Subject: Sound output broken in Audacity
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Fri, 08 Sep 2017 12:24:30 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Sound output is broken in Audacity on my Thinkpad X200 running GuixSD,
at least within GNOME 3 (I haven't tried it anywhere else).  It worked
in the past.  I see the following error messages in Audacity's
stdout/stderr:

(audacity:893): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",

(audacity:893): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
ALSA lib pcm.c:2501:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2501:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2501:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_route.c:867:(find_matching_chmap) Found no matching channel map
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4628
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4628
Expression 'stream->playback.pcm' failed in 'src/hostapi/alsa/pa_linux_alsa.c', line: 4628

       Mark